package ch.hslu.appe.usermanagement.exception;

/**
 * Illegal Name Exception.
 */
public final class IllegalNameException extends UserManagementException {

    private static final long serialVersionUID = -7841183403328408227L;

    private String login;

    /**
     * Illegal Name Exception.
     * @param login loginname
     */
    public IllegalNameException(final String login) {
        super("Illegal login name used '" + login + "'.");
        this.login = login;
    }

    /**
     * Illegal name Exception.
     * @param login loginname
     * @param innerException inner exception
     */
    public IllegalNameException(final String login, final Throwable innerException) {
        super("Illegal login name used '" + login + "'.", innerException);
        this.login = login;
    }

    /**
     * Returns the Loginname.
     * @return loginname
     */
    public String getLogin() {
        return login;
    }

    /**
     * Sets the Loginname.
     * @param login to be set
     */
    public void setLogin(final String login) {
        this.login = login;
    }
}
